Subject: Re: [PATCH] git-checkout: Test for relative path use.

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Nov 2007 01:06:54 -0800

"David Symonds" <[email-masked]> writes:

> So what would you prefer? Bracketing the whole test in parentheses
> looks ugly, but I can do that if that's the only option. If I look at
> t5510-fetch.sh (one of yours, Junio), there is no directory
> restoration in the case of test failure, as in my original patch.

Yes, that is what I was referring to as "bad examples".  The way
t4116 goes down to different directory do not look ugly to me.